<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs" kind="group">
    <compoundname>group_board_libs</compoundname>
    <title>Atmospheric Sensor</title>
    <innerclass prot="public" refid="structmtb__bme680__t">mtb_bme680_t</innerclass>
    <innerclass prot="public" refid="structmtb__bme680__data__t">mtb_bme680_data_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__board__libs_1gae87f0a182b43c473b0b86f6d4c2a05f9" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>mtb_bme680_address_t</name>
        <enumvalue id="group__group__board__libs_1ggae87f0a182b43c473b0b86f6d4c2a05f9a53545237ca2f3eff529d786de7d56627" prot="public">
          <name>MTB_BME680_DEFAULT_ADRESS</name>
          <initializer>= BME680_I2C_ADDR_PRIMARY</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs_1ggae87f0a182b43c473b0b86f6d4c2a05f9a312a51c91cf9bf89d9ee970afae9681b" prot="public">
          <name>MTB_BME680_SECONDARY_ADRESS</name>
          <initializer>= BME680_I2C_ADDR_SECONDARY</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>mtb_bme680_address_t: </bold><linebreak />Enumeration used for selecting I2C address.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="73" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" bodystart="69" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="70" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gae25f5e83daf838a2449cec746484cda7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_bme680_init_i2c</definition>
        <argsstring>(mtb_bme680_t *obj, cyhal_i2c_t *inst, mtb_bme680_address_t address)</argsstring>
        <name>mtb_bme680_init_i2c</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>inst</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs_1gae87f0a182b43c473b0b86f6d4c2a05f9">mtb_bme680_address_t</ref></type>
          <declname>address</declname>
        </param>
        <briefdescription>
<para>Initialize the atmospheric sensor for I2C communication. </para>        </briefdescription>
        <detaileddescription>
<para>Then applies the default configuration settings for both the accelerometer &amp; gyroscope. Known maximum I2C frequency of 3.4MHz; refer to manufacturer's datasheet for confirmation. See: <ref kindref="member" refid="group__group__board__libs_1ga0e63d21b5c46b109e4f31bb542f6e0f9">mtb_bme680_config_default()</ref> <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">inst</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C instance to use for communicating with the BME680 sensor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>BME680 I2C address, set by hardware implemntation. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="118" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="98" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="86" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga86ecdc5dc8235bc1baca1ecd92af0508" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_bme680_init_spi</definition>
        <argsstring>(mtb_bme680_t *obj, cyhal_spi_t *inst, cyhal_gpio_t pin)</argsstring>
        <name>mtb_bme680_init_spi</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>cyhal_spi_t *</type>
          <declname>inst</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Initialize the atmospheric sensor for SPI communication. </para>        </briefdescription>
        <detaileddescription>
<para>Then applies the default configuration settings for both the accelerometer &amp; gyroscope. See: <ref kindref="member" refid="group__group__board__libs_1ga0e63d21b5c46b109e4f31bb542f6e0f9">mtb_bme680_config_default()</ref> <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">inst</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C instance to use for communicating with the BME680 sensor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>GPIO pin connected to BME680 Chip Select. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="140" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="120" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga0e63d21b5c46b109e4f31bb542f6e0f9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_bme680_config_default</definition>
        <argsstring>(mtb_bme680_t *obj)</argsstring>
        <name>mtb_bme680_config_default</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Configure the motion sensor to a default mode with both accelerometer &amp; gyroscope enabled with a nominal output data rate. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="142" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="106" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gad2fc6efc5a07bd53736f6a8e4d360e08" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_bme680_read</definition>
        <argsstring>(mtb_bme680_t *obj, mtb_bme680_data_t *sensor_data)</argsstring>
        <name>mtb_bme680_read</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__data__t">mtb_bme680_data_t</ref> *</type>
          <declname>sensor_data</declname>
        </param>
        <briefdescription>
<para>Reads the current accelerometer &amp; gyroscope data from the motion sensor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">sensor_data</parametername>
</parameternamelist>
<parameterdescription>
<para>The accelerometer &amp; gyroscope data read from the motion sensor </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="186" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="177" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="114" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga454896841d5c8c408d67fe3f318e04a1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>struct bme680_dev *</type>
        <definition>struct bme680_dev* mtb_bme680_get</definition>
        <argsstring>(mtb_bme680_t *obj)</argsstring>
        <name>mtb_bme680_get</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Gets access to the base motion sensor data. </para>        </briefdescription>
        <detaileddescription>
<para>This allows for direct manipulation of the sensor for any desired behavior. See <ulink url="https://github.com/BoschSensortec/BME680_driver">https://github.com/BoschSensortec/BME680_driver</ulink> for more details on the sensor. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>pointer to the BME680 configuration structure. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="191" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="188" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="123" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga1416dce65012b87922bafcec0fc4f038" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_bme680_free</definition>
        <argsstring>(mtb_bme680_t *obj)</argsstring>
        <name>mtb_bme680_free</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__bme680__t">mtb_bme680_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Frees up any resources allocated by the motion_sensor as part of <ref kindref="member" refid="group__group__board__libs_1gae25f5e83daf838a2449cec746484cda7">mtb_bme680_init_i2c</ref> or <ref kindref="member" refid="group__group__board__libs_1ga86ecdc5dc8235bc1baca1ecd92af0508">mtb_bme680_init_spi</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a BME680 object. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.c" bodystart="193" column="1" file="output/libs/COMPONENT_BME680/sensor-atmo-bme680/mtb_bme680.h" line="129" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Basic set of APIs for interacting with the BME680 atmospheric sensor. </para>    </briefdescription>
    <detaileddescription>
<para>This provides basic initialization and access to to the basic accelerometer &amp; gyroscope data. It also provides access to the base BME680 driver for full control. For more information about the motion sensor, see: <ulink url="https://github.com/BoschSensortec/BME680_driver.git">https://github.com/BoschSensortec/BME680_driver.git</ulink></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Currently, this library only supports being used for a single instance of this device.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;BME680 support requires delays. If the RTOS_AWARE component is set or CY_RTOS_AWARE is defined, the HAL driver will defer to the RTOS for delays. Because of this, it is not safe to call any functions other than &lt;a href="group__group__board__libs.html#group__group__board__libs_1gae25f5e83daf838a2449cec746484cda7"&gt;mtb_bme680_init_i2c&lt;/a&gt; or &lt;a href="group__group__board__libs.html#group__group__board__libs_1ga86ecdc5dc8235bc1baca1ecd92af0508"&gt;mtb_bme680_init_spi&lt;/a&gt; until after the RTOS scheduler has started. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>    </detaileddescription>
  </compounddef>
</doxygen>